/**
 * If there are $messages on a page that has 'Inline Messages' enabled
 * move drupal messages above the form
 */

if (Drupal.jsEnabled) {
  $(document).ready(function(){
    
    $form_id = $('#' + Drupal.settings.form_id);
    $settings = Drupal.settings.inline_messages_scrollto;
    
    // grab the content and type of message this is
    // only do this if .messages exists or we're gonna get errors
    var msg = $('.messages');
    if (msg.length > 0) {
      var msg_html = msg.html();
      var msg_type = msg.attr('class').split(' ').slice(-1);
    }
    
    // drupal appends #form-path to the action of the form
    // we want to remove this so that jQuery can handle the page moving
    // check if the action exists first
    if ($form_id.attr('action')) {
      var form_action_string = $form_id.attr('action').split('#');
      $form_id.attr('action', form_action_string[0]);
    }
    
    if (msg_html != null) {
      // add the message html to a new div above the form
      // hide $messages & move the page to the form
      $form_id.prepend('<div id="msgs" class="messages ' + msg_type + '">' + msg_html + '</div>');
      msg.hide();
      $.scrollTo($form_id, $settings['duration'], {offset:$settings['offset']});
    }
    
  });
}